<!DOCTYPE html>
<html>
  <head>
    {% block head -%}
      <link type="text/css" rel="stylesheet" href="{{ url_for('static', filename='googleIconApi.css') }}"/>
      <link type="text/css" rel="stylesheet" href="{{ url_for('static', filename='materialize.css') }}"  media="screen,projection"/>
      <link rel="stylesheet" type="text/css" href="{{ url_for('static', filename='style.css') }}" />
      <!--Let browser know website is optimized for mobile-->
      <meta name="viewport" content="width=device-width, initial-scale=0.8"/>
      <title>enezKreiz - {% block title %}Accueil{% endblock %}</title>
    {% endblock -%}
    {% block scripts -%}{% endblock %}
  </head>
  <body>
    <div class="page">
      <header class="enezgrcolor" >
        <div class="headElem" onclick="location.href='{{ url_for('main') }}'">
          <img src="/static/siteon0.png" width="101" height="80" style="margin:8px">
        </div>
        <div class="headElem" onclick="location.href='{{ url_for('main') }}'">
          <div style="font-family: Arial, Helvetica, sans-serif">
            <div style="font-size: 200%; font-weight: bold; line-height: 130%; margin-top: 10px">
              enez - {{ g['settings']['name'] }}
            </div>
            <div style="font-style: italic; height: 28px; overflow: hidden; position: relative; margin-bottom: 3px;">
              <div style="position: absolute; bottom: 1px">
                <!--Récupérer, enregistrer et grapher ses données-->
                Data logging service
              </div>
            </div>
            <div style="font-size: 80%; line-height: 130%">
            Versions db: {{ g['versions']['dataBase'] }}, Diaz: {{ g['versions']['logger'] }}, Kreiz: {{ g['versions']['web'] }}
            </div>
          </div>
        </div>
        <div class='headElem center-align' >
          {%- block menu %}
          {%- if g['mobile'] %}
          <a href="{{ url_for('menuPage') }}"><i class="material-icons">menu</i></a>
          {%- else %}
          <a class='dropdown-trigger' href='#' data-target='dropdmenu'><i class="material-icons">menu</i></a>
          <ul id='dropdmenu' class='dropdown-content' style="min-width: 250px;"> <!-- Dropdown Structure -->
            <li><a href="{{ url_for('streamList') }}"><i class="material-icons">list_alt</i>Les flux de données</a></li>
            <li><a href="{{ url_for('cardList') }}"><i class="material-icons">dashboard</i>Tableau de bord</a></li>
            <li><a href="{{ url_for('mqttEdit') }}"><i class="material-icons">link</i>Serveur MQTT</a></li>
            <!-- <li><a href="{{ url_for('haltDiaz') }}" ><i class="material-icons">warning</i>Stop enezDiaz !</a></li> -->
            <li><a href="{{ url_for('help') }}"><i class="material-icons">help</i>Aide...</a></li>
            <li><a href="{{ url_for('to_doPage') }}"><i class="material-icons">check</i>a faire...</a></li>
            <li><a href="{{ url_for('adminPage') }}"><i class="material-icons">person</i>Administrateur</a></li>
            <li class="divider" tabindex="-1"></li>
            <li><a href="{{ url_for('main') }}"><i class="material-icons">home</i>Accueil</a></li>
          </ul>
          {%- endif %}
          {% endblock %}
        </div>
      </header>
      <div class="content" >
        {%- block content %}content{% endblock %}
      </div>
      <footer class="footer enezgrcolor">
        <div style="font-size: 80%; height: 20px; line-height: 20px; text-align: right; margin-right: 10px">
          {% block footer %}conception <a href="https://my.inizisoft.net/grav/fr/enez" target="_blank" style="color: #000">IniziSoft</a>{% endblock -%}
        </div>
      </footer>
    </div>
    <script type="text/javascript" src="{{ url_for('static', filename='materialize.min.js') }}"></script>
    <script>
      M.AutoInit();
    </script>
  </body>
</html>